=== debian/changelog ===
ivulncheck (0.1.65-1) unstable; urgency=medium

  * Initial release. (Closes: #902420)

 -- Gaetan Egger <gaetan.egger@infomaniak.com>  Wed, 18 Apr 2018 11:19:38 +0200
