=== debian/changelog ===
ivulncheck (0.1.67-1.1) unstable; urgency=medium

  * Non-maintainer upload with agreement from my sponsoree.
  * Added a -doc package.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Dec 2018 12:03:12 +0100

ivulncheck (0.1.67-1) unstable; urgency=medium

  * New upstream release.

 -- Gaetan Egger <gaetan.egger@infomaniak.com>  Tue, 28 Aug 2018 11:27:13 +0200
