=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep:
  python3-apt,
  python3-flask,
@@ -155,3 +156,18 @@
  a web interface that provides a graphical rendering of the information.
  .
  This package contains the Web Interface.
+
+Package: ivulncheck-doc
+Architecture: all
+Section: doc
+Build-Profiles: <!nodoc>
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: reports cluster security vulnerabilities and fixes - Agent
+ Ivulncheck is a security tool to centralize the search of vulnerabilities and
+ fixes concerning packages on a cluster. It leverages already existing tools
+ and services such as debsecan and the Debian and Ubuntu CVE trackers to create
+ a centralized database of known vulnerabilities and updates.
+ .
+ This package provides ivulncheck documentation.
