=== debian/watch ===
version=3
https://github.com/infomaniak/ivulncheck/tags .*/(\d[\d\.]+)\.tar\.gz
